For the complete documentation index, see llms.txt. This page is also available as Markdown.

Print receipt

Print receipt

Required permissions: SALES_ORDER,RETURN_ORDER

post
/tenants/{tenantUid}/stores/{storeUid}/receipts/{receiptUid}/print
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
receiptUidstringRequired

Reference to a Receipt.

Pattern: ^[A-Za-z0-9-_]+
Body
typestring · enum · min: 1Required
ENUMDescription
RECEIPTPrint sales receipt
EXCHANGENOTEPrint exchange note
GIFTCARDPrint giftcard barcode
PICKUPPrint a pickup label/note
SHORTAGENOTEPrint a missing items note (restlapp)
PICKNOTEPrint a pick note (plukkelapp)
Possible values:
printerUidstringOptional

The printer to send the print to

Pattern: ^[A-Za-z0-9-_]+
orderItemUidsstring[]Optional
exchangenoteValidUntilstring · dateOptional

Only valid for type EXCHANGENOTE. Sets a date that the exchange note is valid until. If not set, exchangeNoteValidUntil is calculated from the store's exchangeNoteValidDays setting. Stored on all orderItemUids in request, usually only one item.

orderHandlingUidstringOptional

Only valid for type PICKUP, SHORTAGENOTE and PICKNOTE. When set, only the name of this order handling is shown on the note. When omitted, all order handlings on the order are shown.

Pattern: ^[A-Za-z0-9-_]+
Responses
204

No Content

No content

post/tenants/{tenantUid}/stores/{storeUid}/receipts/{receiptUid}/print
POST /v2/tenants/{tenantUid}/stores/{storeUid}/receipts/{receiptUid}/print HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 127

{
  "type": "RECEIPT",
  "printerUid": "text",
  "orderItemUids": [
    "text"
  ],
  "exchangenoteValidUntil": "2026-01-01",
  "orderHandlingUid": "text"
}
204

No Content

No content

Last updated

Was this helpful?